package m05bSolicitudReserva_ValidacionEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05SolicitudReserva_Validacion</tt>.
 */
public class m05SolicitudReserva_ValidacionPK implements java.io.Serializable {

  /** 
   * This is the primary key.
   * It is the SolicitudReserva_Validacion idSolicitud and codSolicitante, which is the primary key 
   * in table <tt>m05102t00</tt>.
   */
  public Integer idSolicitud;
  public String codValidador;
  public String estado;
  public String situacion;
  public String fechaValidacion;

  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05SolicitudReserva_ValidacionPK)
    {
      m05SolicitudReserva_ValidacionPK otherKey = (m05SolicitudReserva_ValidacionPK) obj;
      return (this.idSolicitud.intValue() == otherKey.idSolicitud.intValue()
    		  && this.codValidador.equals(otherKey.codValidador)
    		  && this.estado.equals(otherKey.estado)
    		  && this.situacion.equals(otherKey.situacion)
    		  && this.fechaValidacion.equals(otherKey.fechaValidacion));
    }
    else
    {
      return false;
    }
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return this.idSolicitud.toString()
    		.concat(this.codValidador)
    		.concat(this.estado)
    		.concat(this.situacion)
    		.concat(this.fechaValidacion)
    		.hashCode();
  }
}